/* env4 -- simple demo of an amp envelope in jsyn
 *	this one has a bit more 'acoustic' interest -- two detuned oscillators,
 *	some filtering, etc.
 *
 * 		Brad Garton, spring 2003
 *
*/
import com.softsynth.jsyn.*;

public class env4 extends Object
{
	public static void main(String args[])
	{
		env4 hoho = new env4();
		hoho.start();
	}

	public void start()
	{
		int tickval;
		OscThread Othread;

		try
		{
			Synth.startEngine(0);

			Othread = new OscThread();
			Othread.start();

			tickval = Synth.getTickCount();
			// the filtset() method sets the LowPass filter params
			Othread.filtset(tickval, 0.5, 590.0, 2.0);

			int i;
			double freq = 100.0;
			for (i =0; i < 10; i++)
			{
				Othread.go(tickval+(i*689), 0.9, freq, 0.5, 0.3, 0.4);
				freq = freq + 25.0;
			}

			Synth.sleepUntilTick(689*11);

		} catch(SynthException e) {
			SynthAlert.showError(e);
		}
	}
}
